FIX::Locker Class Reference

Locks/Unlocks a mutex using RAII. More...

`#include <Mutex.h>`

Collaboration diagram for FIX::Locker:
[legend]

## Public Member Functions

| Locker (Mutex &mutex)
| ~Locker ()

## Private Attributes

Mutex & | m_mutex

## Detailed Description

Locks/Unlocks a mutex using RAII.

Definition at line 95 of file Mutex.h.

## Constructor & Destructor Documentation

## Locker()

FIX::Locker::Locker | ( | Mutex & | mutex | ) |

inline

Definition at line 98 of file Mutex.h.

References FIX::Mutex::m_mutex.

: m_mutex( mutex )
{
m_mutex.lock();
}
FIX::Locker::m_mutex
Mutex & m_mutex
Definition: Mutex.h:109
FIX::Mutex::lock
void lock()
Definition: Mutex.h:57

## ~Locker()

FIX::Locker::~Locker | ( |  | ) |

inline

Definition at line 104 of file Mutex.h.

References FIX::Mutex::m_mutex.

{
m_mutex.unlock();
}
FIX::Mutex::unlock
void unlock()
Definition: Mutex.h:70
FIX::Locker::m_mutex
Mutex & m_mutex
Definition: Mutex.h:109

## Member Data Documentation

## m_mutex

Mutex& FIX::Locker::m_mutex

private

Definition at line 109 of file Mutex.h.

The documentation for this class was generated from the following file:

- Mutex.h